Retrieve insights about charges broken down by team members of a team.

Required scope: insights:read

Returns charge insights for the given teamId (and optionally teamMemberIds) broken down by team member. Takes only charges into consideration that were paid for by the provided teamId.

Note: Any values related to money are in the teams' currency. You can fetch them from GET /api/v1/teams/{teamId}

Query Params
int32
Defaults to 0

page number to retrieve (starts with 0)

int32
Defaults to 10

number of items per page (between 1 and 100, default 10)

int64
required
> 0

Filter to retrieve charges insights by the specified teamId

string | null

Filter to retrieve charges insights by the specified (comma-separated) list of teamMemberId

date
required

Filter to retrieve charge insights created from date, we expect a date in UTC and ISO8601 (YYYY-MM-DD'T'HH:MM:SS'Z')
The maximum gap between from and to data cannot be longer than 31 days

date
required

Filter to retrieve charge insights created to date, we expect a date in UTC and ISO8601 (YYYY-MM-DD'T'HH:MM:SS'Z')
The maximum gap between from and to data cannot be longer than 31 days

string | null
enum
Defaults to charge-transaction

Use this to determine if the report should be filtered based on completion dates of charges or wallet transactions.

Accepted values:
- charge-transaction: Generates report based on charges' completedAt. Default.- wallet-transaction: Generates report based on wallet transactions' completedAt. Will not include any charges without wallet transactions.

Allowed:
Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json